Skip to content
Install

Get a project-level ingress with resolved routes

GET
/projects/{id}/ingresses/{ingressId}
curl --request GET \
--url https://example.com/projects/example/ingresses/example \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string
ingressId
required
string

OK

Media typeapplication/json
object
basicAuthEnabled
required
boolean
host
required
string
id
required
string
name
required
string
path
required
string
project
required
object
id
required
string
name
required
string
organizationId
string
slug
string
key
additional properties
protectionMode
required
string
Allowed values: none password orchard
redirectStatus
Any of:
number
Allowed values: 301
redirectTarget
string | null
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
number
key
additional properties
tlsEnabled
required
boolean
url
required
string
key
additional properties

Example

{
"protectionMode": "none",
"redirectStatus": 301
}